name: cta
type: object
meta:
    label: Call To Action Zeile
    dependsOn:
        eval: $parent.type == 'cta'
subFields:
    - name: upperHeadline
      type: string
      meta:
          label: Über Überschrift
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-6"
                      large: "col-6"

    - name: description
      type: string
      meta:
          label: Überschrift beschreibung
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-6"
                      large: "col-6"

    - name: whiteHeadline
      type: string
      meta:
          label: Weißer Teil Überschrift
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-6"
                      large: "col-6"

    - name: redHeadline
      type: string
      meta:
          label: Roter Teil Überschrift
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-6"
                      large: "col-6"

    - name: headlineArrangement
      type: string
      meta:
          label: Headline Anordnung
          widget: select
          containerProps:
              layout:
                  size:
                      default: "col-12"
                      small: "col-12"
                      large: "col-12"
          choices:
              - id: row
                name: in einer Zeile

              - id: column
                name: in einer Spalte

    - !include ../callToActionButton.yml
